Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom
Class WellformednessException

    Object
      Throwable
          Exception
              RuntimeException
                  nu.xom.XMLException
                      nu.xom.WellformednessException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IllegalAddException, IllegalDataException, NamespaceConflictException

    public class WellformednessException

extends XMLException

Indicates an attempt to do or create something that could not possibly be serialized in a namespace well-formed XML 1.0 document.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`WellformednessException(String message)` Creates a new `WellformednessException` with a detail message.
`WellformednessException(String message, Throwable cause)` Creates a new `WellformednessException` with a detail message and an underlying root cause.

Method Summary

Methods inherited from class nu.xom.XMLException
`getCause, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WellformednessException

    public WellformednessException(String message)

  Creates a new `WellformednessException` with a detail message.

  Parameters:
    `message` - a string indicating the specific problem

### WellformednessException

    public WellformednessException(String message,
                                   Throwable cause)

  Creates a new `WellformednessException` with a detail message and an underlying root cause.

  Parameters:
    `message` - a string indicating the specific problem
    `cause` - the original cause of this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2013 Elliotte Rusty Harold
elharo@ibiblio.org